UNITHdocs
Sign inarrow_forward

To see available voices available to you, you need to use the GET /voice/all endpoint

It is recommended to retrieve all results, and store locally for further use.

The following parameters are available to you should you wish to refine your results:

code
curl -X 'GET' \
  'https://platform-api.unith.ai/voice/all?order=ASC&page=1&take=10&language=english&provider=elevenlabs&sortBy=displayName' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer yourBearerToken'
NameDescription
language
string***(query)***
Language of the voice. See below.
accent
string***(query)***
Accent of the voice.
gender
string***(query)***
--, male, female
provider
string***(query)***
ISO language code of the voice, e.g. en-US
voiceId
string (query)
Search by voice id.
Example: "voiceId": "pNInz6obpgDQGcFmaJgB_eleven_flash_v2"
orderBy
(string)
order by: displayName, language, accent, provider, gender
scheduleLast updated Feb 18, 2026